Bug 508622 - [TAHI] DHCPv6 server Can not send relay reply message after get relay forward message.
[TAHI] DHCPv6 server Can not send relay reply message after get relay forward...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 03:11 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-21 20:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump file in fedora11 (1.09 KB, application/octet-stream)
2009-06-29 03:13 EDT, Shirley Zhou
no flags Details
tcpdump file in fedora10 (1.25 KB, application/octet-stream)
2009-06-29 03:16 EDT, Shirley Zhou
no flags Details

  None (edit)
Description Shirley Zhou 2009-06-29 03:11:35 EDT
Description of problem:
DHCPv6 server Can not send relay reply message after get relay forward message.

Version-Release number of selected component (if applicable):
dhcpv6-1.2.0-2.fc11.i586

How reproducible:
always

Steps to Reproduce:
1.initialize fedora11 (as a DHCPv6 Server)
2.send relay forward(solicit) message to dhcpv6 server 
3.wait for relay reply (advertise) message.
You may refer to http://focus.bne.redhat.com/~szhou/DHCP_Test/DHCPv6_Self_Test_P2_1_0_17_Fedora11/DHCPv6_Self_Test_P2_1_0_17_Fedora11_server/rfc3315/S_RFC3315_7_Relay-replyMsgFormat.html for detailed information.
  
Actual results:
No relay reply message.
you may check test log at:http://focus.bne.redhat.com/~szhou/DHCP_Test/DHCPv6_Self_Test_P2_1_0_17_Fedora11/DHCPv6_Self_Test_P2_1_0_17_Fedora11_server/rfc3315/12.html.

Expected results:
No relay reply message.

Additional info:
This bug does not exist in fedora10-dhcpv6-1.0.22-1.fc10.i386.

It prompts"dhcp6s[2216]: invalid option length in opt_44 option" in /var/log/message/ file after this test.
Comment 1 Shirley Zhou 2009-06-29 03:13:59 EDT
Created attachment 349748 [details]
tcpdump file in fedora11

I attached the tcpdump files in fedora11 and fedora1o for comparison.
Comment 2 Shirley Zhou 2009-06-29 03:16:04 EDT
Created attachment 349749 [details]
tcpdump file in fedora10
Comment 3 David Cantrell 2009-09-21 20:27:39 EDT
The dhcpv6 package has been obsoleted by the dhcp package.

Note You need to log in before you can comment on or make changes to this bug.